Subject: Re: [PATCH 3/3] clone: propagate empty remote HEAD even with other branches

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Jul 2022 11:50:34 -0700

Jeff King <[email-masked]> writes:

> If so, do you prefer to go straight there in patch 3 (and drop patch 2,
> keeping the unborn setup inline), or do you prefer to see it on top?
> Normally I'd suggest the former, but I worry that doing it all in one
> patch means it's reorganizing the code _and_ changing the behavior all
> at once, which is harder to reason about. And I don't see an easy way to
> reorganize the code without changing the behavior.

Either way is fine, but the "go straight there" approach may work
better, I suspect.

Thanks.